curl -X GET "https://apolloai.lol/v1/models"
{
"models": [
{ "id": "gpt-oss-120b", "name": "GPT OSS 120B", "provider": "OpenAI", "category": "OpenAI", "description": "High-performance 120B parameter model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 3 },
{ "id": "qwen3-coder", "name": "Qwen3 Coder 480B", "provider": "Qwen", "category": "Free", "description": "Coding-optimized 480B parameter model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "glm4", "name": "GLM 4.5 Air", "provider": "Z.AI", "category": "Free", "description": "GLM 4.5 Air model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "llama3", "name": "Llama 3.3 70B", "provider": "Meta", "category": "Premium", "description": "High-performance reasoning and coding.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 1 },
{ "id": "opus-4.5", "name": "Claude Opus 4.5", "provider": "Anthropic", "category": "Premium", "description": "Anthropic's most powerful model.", "endpoints": ["/v1/chat/completions"], "tier": "pro", "multiplier": 10 },
{ "id": "sonnet-4.5", "name": "Claude Sonnet 4.5", "provider": "Anthropic", "category": "Premium", "description": "Balanced intelligence and speed.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 5 },
{ "id": "gemini-2.5-pro", "name": "Gemini 2.5 Pro", "provider": "Google", "category": "Premium", "description": "Google's latest Pro model.", "endpoints": ["/v1/chat/completions"], "tier": "pro", "multiplier": 5 },
{ "id": "gemini-2.5-flash", "name": "Gemini 2.5 Flash", "provider": "Google", "category": "Free", "description": "Fast and efficient Gemini model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 1 },
{ "id": "gemini-3-pro", "name": "Gemini 3 Pro", "provider": "Google", "category": "Premium", "description": "Next-gen Gemini Pro model.", "endpoints": ["/v1/chat/completions"], "tier": "ultimate", "multiplier": 8 },
{ "id": "gemini-3-flash", "name": "Gemini 3 Flash", "provider": "Google", "category": "Free", "description": "Next-gen fast Gemini model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "titan", "name": "Titan Image Generator G1 V2", "provider": "AWS", "category": "Image", "description": "AWS Titan Image Generator.", "endpoints": ["/v1/generation/image", "/v1/generation/image/edit"], "tier": "free", "multiplier": 5 }
]
}
System
List Models
Retrieve a list of available AI models
GET
/
v1
/
models
curl -X GET "https://apolloai.lol/v1/models"
{
"models": [
{ "id": "gpt-oss-120b", "name": "GPT OSS 120B", "provider": "OpenAI", "category": "OpenAI", "description": "High-performance 120B parameter model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 3 },
{ "id": "qwen3-coder", "name": "Qwen3 Coder 480B", "provider": "Qwen", "category": "Free", "description": "Coding-optimized 480B parameter model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "glm4", "name": "GLM 4.5 Air", "provider": "Z.AI", "category": "Free", "description": "GLM 4.5 Air model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "llama3", "name": "Llama 3.3 70B", "provider": "Meta", "category": "Premium", "description": "High-performance reasoning and coding.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 1 },
{ "id": "opus-4.5", "name": "Claude Opus 4.5", "provider": "Anthropic", "category": "Premium", "description": "Anthropic's most powerful model.", "endpoints": ["/v1/chat/completions"], "tier": "pro", "multiplier": 10 },
{ "id": "sonnet-4.5", "name": "Claude Sonnet 4.5", "provider": "Anthropic", "category": "Premium", "description": "Balanced intelligence and speed.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 5 },
{ "id": "gemini-2.5-pro", "name": "Gemini 2.5 Pro", "provider": "Google", "category": "Premium", "description": "Google's latest Pro model.", "endpoints": ["/v1/chat/completions"], "tier": "pro", "multiplier": 5 },
{ "id": "gemini-2.5-flash", "name": "Gemini 2.5 Flash", "provider": "Google", "category": "Free", "description": "Fast and efficient Gemini model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 1 },
{ "id": "gemini-3-pro", "name": "Gemini 3 Pro", "provider": "Google", "category": "Premium", "description": "Next-gen Gemini Pro model.", "endpoints": ["/v1/chat/completions"], "tier": "ultimate", "multiplier": 8 },
{ "id": "gemini-3-flash", "name": "Gemini 3 Flash", "provider": "Google", "category": "Free", "description": "Next-gen fast Gemini model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "titan", "name": "Titan Image Generator G1 V2", "provider": "AWS", "category": "Image", "description": "AWS Titan Image Generator.", "endpoints": ["/v1/generation/image", "/v1/generation/image/edit"], "tier": "free", "multiplier": 5 }
]
}
Fetch comprehensive information about all available models, including their IDs, capabilities, and tier requirements.
Headers
Your Apollo AI API key.
Response
Array of model objects.
Show Model Object
Show Model Object
The unique identifier for the model (e.g.,
gpt-oss-120b).The human-readable name of the model.
A brief description of the model’s capabilities.
List of supported API endpoints for this model (e.g.,
["/v1/generation/prompt"]).The minimal subscription tier required to access this model (
starter, economy, pro, ultimate).The token cost multiplier for this model.
curl -X GET "https://apolloai.lol/v1/models"
{
"models": [
{ "id": "gpt-oss-120b", "name": "GPT OSS 120B", "provider": "OpenAI", "category": "OpenAI", "description": "High-performance 120B parameter model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 3 },
{ "id": "qwen3-coder", "name": "Qwen3 Coder 480B", "provider": "Qwen", "category": "Free", "description": "Coding-optimized 480B parameter model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "glm4", "name": "GLM 4.5 Air", "provider": "Z.AI", "category": "Free", "description": "GLM 4.5 Air model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "llama3", "name": "Llama 3.3 70B", "provider": "Meta", "category": "Premium", "description": "High-performance reasoning and coding.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 1 },
{ "id": "opus-4.5", "name": "Claude Opus 4.5", "provider": "Anthropic", "category": "Premium", "description": "Anthropic's most powerful model.", "endpoints": ["/v1/chat/completions"], "tier": "pro", "multiplier": 10 },
{ "id": "sonnet-4.5", "name": "Claude Sonnet 4.5", "provider": "Anthropic", "category": "Premium", "description": "Balanced intelligence and speed.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 5 },
{ "id": "gemini-2.5-pro", "name": "Gemini 2.5 Pro", "provider": "Google", "category": "Premium", "description": "Google's latest Pro model.", "endpoints": ["/v1/chat/completions"], "tier": "pro", "multiplier": 5 },
{ "id": "gemini-2.5-flash", "name": "Gemini 2.5 Flash", "provider": "Google", "category": "Free", "description": "Fast and efficient Gemini model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 1 },
{ "id": "gemini-3-pro", "name": "Gemini 3 Pro", "provider": "Google", "category": "Premium", "description": "Next-gen Gemini Pro model.", "endpoints": ["/v1/chat/completions"], "tier": "ultimate", "multiplier": 8 },
{ "id": "gemini-3-flash", "name": "Gemini 3 Flash", "provider": "Google", "category": "Free", "description": "Next-gen fast Gemini model.", "endpoints": ["/v1/chat/completions"], "tier": "free", "multiplier": 2 },
{ "id": "titan", "name": "Titan Image Generator G1 V2", "provider": "AWS", "category": "Image", "description": "AWS Titan Image Generator.", "endpoints": ["/v1/generation/image", "/v1/generation/image/edit"], "tier": "free", "multiplier": 5 }
]
}
⌘I